<script lang="ts" setup>
import {BedStatusVO} from "@/views/ecg/room/index";
import {PropType} from "vue";

defineComponent({
  name: 'RoomStatus'
})

const  props = defineProps({
  title: {
    type: String,
    required: true
  },
  doctorNum: {
    type: Number,
    required: true
  },
  modelValue: {
    type: Array as PropType<BedStatusVO[]>,
    required: true
  }
})

const onclick = (item) => {
  console.error(item);
  item.opStatus = !item.opStatus;
}

</script>

<template>
  <el-card style="width: 180px" shadow="hover" >
    <template #header>{{title}}</template>
    <div v-for="(bedItem, index) in modelValue" :key="index">
    <img v-if="bedItem.opStatus"
        src="@/assets/room/doctor.png"
        style="width: 100%"
         @click = onclick(bedItem)
    />
    <img v-if="!bedItem.opStatus"
        src="@/assets/room/doctor-off.jpeg"
        style="width: 100%"
         @click = onclick(bedItem)
    />
    </div>
  </el-card>
</template>

<style scoped lang="scss">
.card-title {
  font-size: 14px;
  font-weight: 600;

  &::before {
    position: relative;
    top: 8px;
    left: -5px;
    display: inline-block;
    width: 3px;
    height: 14px;
    //background-color: #105cfb;
    background: var(--el-color-primary);
    border-radius: 5px;
    content: '';
    transform: translateY(-50%);
  }
}
</style>
